OCC Main Page | DataExchange | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# DataExchange
TKXSBase
Interface

# Interface_TypedValue Class Reference

Now strictly equivalent to TypedValue from MoniTool,
except for ParamType which remains for compatibility reasons
This class allows to dynamically manage .. typed values, i.e.
values which have an alphanumeric expression, but with
controls. Such as "must be an Integer" or "Enumerative Text"
etc
Hence, a TypedValue brings a specification (type + constraints
if any) and a value. Its basic form is a string, it can be
specified as integer or real or enumerative string, then
queried as such.
Its string content, which is a Handle(HAsciiString) can be
shared by other data structures, hence gives a direct on line
access to its value.
.

`#include <Interface_TypedValue.hxx>`

Inheritance diagram for Interface_TypedValue:

[legend]

## Public Member Functions
Standard_EXPORT | Interface_TypedValue (const Standard_CString name, const Interface_ParamType type=Interface_ParamText, const Standard_CString init="")
| Creates a TypedValue, with a name type gives the type of the parameter, default is free text Also available : Integer, Real, Enum, Entity (i.e. Object) More precise specifications, titles, can be given to the TypedValue once created init gives an initial value. If it is not given, the TypedValue begins as "not set", its value is empty .
Standard_EXPORT Interface_ParamType | Type () const
| Returns the type I.E. calls ValueType then makes correspondance between ParamType from Interface (which remains for compatibility reasons) and ValueType from MoniTool .
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const
## Static Public Member Functions
static Standard_EXPORT MoniTool_ValueType | ParamTypeToValueType (const Interface_ParamType typ)
| Correspondance ParamType from Interface to ValueType from MoniTool .
static Standard_EXPORT Interface_ParamType | ValueTypeToParamType (const MoniTool_ValueType typ)
| Correspondance ParamType from Interface to ValueType from MoniTool .
## Private Attributes
TCollection_AsciiString | thename
TCollection_AsciiString | thedef
TCollection_AsciiString | thelabel
Interface_ParamType | thetype
Handle_Standard_Type | theotyp
Standard_Integer | thelims
Standard_Integer | themaxlen
Standard_Integer | theintlow
Standard_Integer | theintup
Standard_Real | therealow
Standard_Real | therealup
TCollection_AsciiString | theunidef
Handle_TColStd_HArray1OfAsciiString | theenums
Handle_Dico_DictionaryOfInteger | theeadds
Interface_ValueInterpret | theinterp
Interface_ValueSatisfies | thesatisf
TCollection_AsciiString | thesatisn
Standard_Integer | theival
Handle_TCollection_HAsciiString | thehval
Handle_Standard_Transient | theoval

## Constructor & Destructor Documentation

Standard_EXPORT Interface_TypedValue::Interface_TypedValue | ( | const Standard_CString | name,
|  | const Interface_ParamType | type = `Interface_ParamText`,
|  | const Standard_CString | init = `""`
| ) |

## Member Function Documentation

Standard_EXPORT const Interface_TypedValue::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

static Standard_EXPORT MoniTool_ValueType Interface_TypedValue::ParamTypeToValueType | ( | const Interface_ParamType | typ | ) | `[static]`

Standard_EXPORT Interface_ParamType Interface_TypedValue::Type | ( |  | ) | const

static Standard_EXPORT Interface_ParamType Interface_TypedValue::ValueTypeToParamType | ( | const MoniTool_ValueType | typ | ) | `[static]`

## Field Documentation

TCollection_AsciiString Interface_TypedValue::thedef`[private]`

| Reimplemented from MoniTool_TypedValue.

Handle_Dico_DictionaryOfInteger Interface_TypedValue::theeadds`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Handle_TColStd_HArray1OfAsciiString Interface_TypedValue::theenums`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Handle_TCollection_HAsciiString Interface_TypedValue::thehval`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Interface_ValueInterpret Interface_TypedValue::theinterp`[private]`

| Reimplemented from MoniTool_TypedValue.

Standard_Integer Interface_TypedValue::theintlow`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Standard_Integer Interface_TypedValue::theintup`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Standard_Integer Interface_TypedValue::theival`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

TCollection_AsciiString Interface_TypedValue::thelabel`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Standard_Integer Interface_TypedValue::thelims`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Standard_Integer Interface_TypedValue::themaxlen`[private]`

| Reimplemented from MoniTool_TypedValue.

TCollection_AsciiString Interface_TypedValue::thename`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Handle_Standard_Type Interface_TypedValue::theotyp`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Handle_Standard_Transient Interface_TypedValue::theoval`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Standard_Real Interface_TypedValue::therealow`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Standard_Real Interface_TypedValue::therealup`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Interface_ValueSatisfies Interface_TypedValue::thesatisf`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

TCollection_AsciiString Interface_TypedValue::thesatisn`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

Interface_ParamType Interface_TypedValue::thetype`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

TCollection_AsciiString Interface_TypedValue::theunidef`[private]`

| Reimplemented from MoniTool_TypedValue. Reimplemented in Interface_Static.

The documentation for this class was generated from the following file:

- Interface_TypedValue.hxx